Subject: Re: [PATCH] IPv6: optionaly validate RAs on raw sockets

From: Vlad Yasevich <[email-masked]>
Date: Wed, 11 Jul 2007 10:10:12 -0400

Rémi Denis-Courmont wrote:
> On Wednesday 11 July 2007 15:29:16 YOSHIFUJI Hideaki / 吉藤英明 wrote:
>> In article <[email-masked]> (at Tue, 10 Jul 2007 
> 21:11:17 +0300), Remi Denis-Courmont <[email-masked]> says:
>>> ICMPv6 Router Advertisements may now contain informations that is
>>> mostly of interest to userland. This currently mostly consists of
>>> recursive DNS server addresses (though one should expect other
>>> stuff to come).
>> I really do not want to have such non-standard API in kernel.
> 
> I can only think of a very limited set of ways to extract options from RAs 
> that the kernel currently ignores:
> 
> 1) parse everything in kernel addrconf.c
> 2) validate RA in kernel, parse userland options in userland

Yes, #2 is the right option.  However, I agree that passing such info with
non-standard socket option is not ideal.

Since you asked for another idea, how about using netlink to send _validated_ RA
information to interested parties?

-vlad